import * as pb from 'protobufjs';
import { CMDOptions, FunctionEntity, PbNodeEntity, InterfaceEntity, EnumEntity, InterfacePropertyEntity, ServiceEntity } from '../interfaces';
export declare function loadPb(options: Partial<CMDOptions>): Promise<Map<string, PbNodeEntity[]>>;
export declare function convertMethodToFunctionEntity(node: pb.Method): FunctionEntity;
export declare function convertMessageToInterfaceEntity(node: pb.Type, options: Partial<CMDOptions>): InterfaceEntity;
export declare function convertToEnumEntity(node: pb.Enum): EnumEntity;
export declare function convertFieldToInterfacePropertyEntity(d: pb.Field, options: {
    i64_as_number?: boolean;
}): InterfacePropertyEntity;
export declare function convertServiceToServiceEntity(data: pb.Service): ServiceEntity;
export declare function printServices(data: ServiceEntity[]): string;
export declare function isField(v: any): v is pb.Field;
export declare function crawlAstAndAttachNamespace(ast: pb.IParserResult, nodeMap: Map<string, PbNodeEntity[]>): void;
export declare function isOriginType(type: string): boolean;
