"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const fs = tslib_1.__importStar(require("fs"));
const os = tslib_1.__importStar(require("os"));
const path = tslib_1.__importStar(require("path"));
function rootDir() {
    if (os.platform() === 'win32') {
        return process.cwd().split(path.sep)[0];
    }
    else {
        return '/';
    }
}
function createPath(parts, soFar) {
    const current = path.join(soFar, parts[0]);
    if (!fs.existsSync(current)) {
        fs.mkdirSync(current);
    }
    if (parts.length > 1) {
        createPath(parts.slice(1), current);
    }
}
function mkdir(dirPath) {
    const parts = dirPath
        .split(path.sep)
        .filter((val) => val !== '');
    // Check for absolute path
    if (parts.length > 0 && path.isAbsolute(dirPath)) {
        createPath(parts, rootDir());
    }
    else if (parts.length > 0) {
        createPath(parts, process.cwd());
    }
}
exports.mkdir = mkdir;
